package com.persagy.dmp.rwd.basic.constant;

import lombok.Getter;

/**
 * 对象类型
 * @author Charlie Yu
 * @date 2021-06-25
 */
@Getter
public enum DigitalRelCode {
    /** 对象类型 */
    BD_2_FL("Bd2Fl", "建筑下的楼层"),
    BD_2_SH("Bd2Sh", "建筑下的竖井"),
    BD_2_SP("Bd2Sp", "建筑下的业务空间"),
    FL_2_SP("Fl2Sp", "楼层下的业务空间"),
    SH_2_SP("Sh2Sp", "竖井下的业务空间"),
    SY_2_BD("Sy2Bd", "系统所在建筑"),
    SY_2_FL("Sy2Fl", "系统所在楼层"),
    SY_2_SH("Sy2Sh", "系统所在竖井"),
    SY_2_SP("Sy2Sp", "系统所在空间"),
    EQ_2_BD("Eq2Bd", "设备所在建筑"),
    EQ_2_FL("Eq2Fl", "设备所在楼层"),
    EQ_2_SH("Eq2Sh", "设备所在竖井"),
    EQ_2_SP("Eq2Sp", "设备所在空间"),
    SY_2_EQ("Sy2Eq", "系统下的设备"),
    EQ_2_EC("Eq2Ec", "设备下的部件");

    private String index;
    private String name;

    DigitalRelCode(String index, String name) {
        this.index = index;
        this.name = name;
    }
}
